import 'dart:math';

List<T> drop<T>(List<T> list, [int n = 1]) {
  assert(list != null);

  final int len = list.length;
  if (n >= len) {
    return [];
  }

  int start = max(0, n);
  return list.sublist(start, len);
}
