import '_helper.dart';

int findIndex<T>(List<T> list, Predicator<T> predicate, [int fromIndex = 0]) {
  assert(list != null && predicate != null);

  if (fromIndex >= list.length) {
    return -1;
  }

  if (fromIndex < 0) {
    fromIndex = 0;
  }

  for (int i = fromIndex; i < list.length; i++) {
    if (predicate(list[i], i, list)) {
      return i;
    }
  }
  return -1;
}
