Map<T, D> fromPairs<T, D>(List<List> pairs) {
  final Map<T, D> result = {};
  pairs.forEach((pair) {
    if (pair == null || pair.isEmpty) {
      result[null] = null;
    } else if (pair.length == 1) {
      result[pair[0]] = null;
    } else {
      result[pair[0]] = result[pair[1]];
    }
  });

  return result;
}
