List<T> pullAll<T>(List<T> list, [List<T> values]) {
  assert(list != null);

  if (values == null || values.isEmpty) {
    return list;
  }

  final Set<T> set = Set<T>.from(values);
  list.removeWhere((item) => set.contains(item));

  return list;
}
