import '_helper.dart';
import 'pullAt.dart';

List<T> remove<T>(List<T> list, Predicator<T> predicator) {
  assert(list != null);

  if (predicator == null) {
    predicator = (T value, [int index, List<T> list]) {
      return isFalsy(value);
    };
  }

  final List<int> indexes = [];
  for (int i = 0; i < list.length; i++) {
    if (predicator(list[i], i, list)) {
      indexes.add(i);
    }
  }

  pullAt(list, indexes);

  return list;
}
