import '_helper.dart';
import 'flatten.dart';
import 'unionAll.dart';
import 'uniqBy.dart';

List<T> unionAllBy<T>(List<List<T>> list, [Iteratee<T> iteratee]) {
  assert(list != null);

  if (iteratee == null) {
    return unionAll<T>(list);
  }

  return uniqBy(
    List<T>.from(flatten(list, 1)),
    iteratee
  );
}
