import 'dart:math';

List<T> dropRight<T>(List<T> list, [int n = 1]) {
  assert(list != null);
  final int len = list.length;
  if (n >= len) {
    return [];
  }
  int end = min(len, len - n);
  return list.sublist(0, end);
}
