import '_helper.dart';

void each<T>(Iterable<T> it, [IterateeForIterable iteratee]) {
  assert(it != null);

  if (iteratee == null) {
    return;
  }

  int index = -1;
  for (var value in it) {
    index += 1;

    if (iteratee(value, index, it) == false) {
      return;
    }
  }
}
