import '_helper.dart';

void eachRight<T>(Iterable<T> it, [IterateeForIterable iteratee]) {
  assert(it != null);

  if (iteratee == null) {
    return;
  }

  final List<T> list = it.toList();
  final int len = list.length;
  for (int i = len - 1; i >= 0; i--) {
    if (iteratee(list[i], i, it) == false) {
      return;
    }
  }
}
