import '_helper.dart';

void eachRightForMap<K, V>(Map<K, V> map, [IterateeForMap<K, V> iteratee]) {
  assert(map != null);

  if (iteratee == null) {
    return;
  }
  
  final List<K> keys = map.keys.toList().reversed.toList();
  for (K key in keys) {
    if (iteratee(map[key], key, map) == false) {
      return;
    }
  }
}
