List<T> fill<T>(List<T> list, T value, [int start = 0, int end]) {
  assert(list != null);

  final int len = list.length;
  if (start < 0) {
    start = 0;
  }
  if (end == null || end > len) {
    end = len;
  }

  for (int i = start; i < end; i++) {
    list[i] = value;
  }

  return list;
}
