import '_helper.dart';

T findLast<T>(List<T> list, Predicator<T> predicate, [int fromIndex]) {
  assert(list != null && predicate != null);

  if (fromIndex < 0) {
    return null;
  }
  if (fromIndex == null || fromIndex >= list.length) {
    fromIndex = list.length - 1;
  }

  for (int i = fromIndex; i >= 0; i--) {
    if (predicate(list[i], i, list)) {
      return list[i];
    }
  }
  return null;
}
