import 'min.dart';

List<T> intersection<T>(List<List<T>> list) {
  assert(list != null);

  if (list.isEmpty) {
    return [];
  }

  final List<T> result = [];
  int minLen = min(
    list.where((subList) => subList != null).map((subList) => subList == null ? 0 : subList.length).toList()
  );
  if (minLen == 0) {
    return result;
  }

  for (int i = 0; i < minLen; i++) {
    T value = list[0][i];
    bool isAllContains = true;
    for (int j = 1; j < list.length; j++) {
      if (list[j].contains(value) == false) {
        isAllContains = false;
        break;
      }
    }

    if (isAllContains) {
      result.add(value);
    }
  }
  
  return result;
}
