T nth<T>(List<T> list, [int n = 0]) {
  assert(list != null);

  if (n == null) {
    n = 0;
  }
  
  if (list.isEmpty) {
    return null;
  }
  
  final int len = list.length;
  if (n < -len || n >= len) {
    return null;
  }

  n = n % len;
  if (n < 0) {
    n += len;
  }

  return list[n];
}
