import '_helper.dart';
import 'pullAll.dart';

List<T> pullAllWith<T>(List<T> list, [List<T> values, Comparator<T> comparator]) {
  assert(list != null);

  if (values == null || values.isEmpty) {
    return list;
  }
  if (comparator == null) {
    return pullAll<T>(list, values);
  }

  final List<T> valuesToRemove = [];

  for (int i = 0; i < list.length; i++) {
    for (int j = 0; j < values.length; j++) {
      if (comparator(list[i], values[j])) {
        valuesToRemove.add(list[i]);
        break;
      }
    }
  }

  return pullAll(list, valuesToRemove);
}
