List<T> pullAt<T>(List<T> list, [List<int> indexes]) {
  assert(list != null);
  if (indexes == null || indexes.isEmpty) {
    return [];
  }

  indexes = indexes.sublist(0, indexes.length);
  indexes = indexes.where((index) => index >= 0 && index <= list.length - 1).toList();
  indexes = List<int>.from(Set<int>.from(indexes));
  indexes.sort();
  
  int counter = 0;
  final List<T> result = List(indexes.length);

  for (int i = 0; i < indexes.length; i++) {
    int index = indexes[i] - counter;
    result[i] = list[index];
    list.removeAt(index);
    counter += 1;
  }

  return result;
}
