typedef T _Iteratee<T>(accumulator, value, int index, List list);

T reduce<T>(List list, _Iteratee iteratee, [accumulator]) {
  assert(list != null);

  if (list.isEmpty) {
    return null;
  }
  if (list.length == 1) {
    return list[0];
  }

  int i = 0;
  if (accumulator == null) {
    accumulator = list[0];
    i = 1;
  }

  T result = accumulator;
  for (; i < list.length; i++) {
    result = iteratee(result, list[i], i, list);
  }

  return result;
}
