import '_helper.dart';

List<T> sort<T>(List<T> list, SortComparator<T> comparator) {
  assert(list != null && comparator != null);

  final int len = list.length;
  for (int i = 0; i < len - 1; i++) {
    for (int j = 0; j < len - 1 - i; j++) {
      T left = list[j];
      T right = list[j + 1];
      int comp = comparator(left, right);
      if (comp > 0) {
        list[j] = right;
        list[j + 1] = left;
      }
    }
  }

  return list;
}
