import '_helper.dart';
import 'flatten.dart';
import 'unionAll.dart';
import 'uniqWith.dart';

List<T> unionAllWith<T>(List<List<T>> list, [Comparator comparator]) {
  assert(list != null);

  if (comparator == null) {
    return unionAll<T>(list);
  }

  return uniqWith(
    flatten(list, 1),
    comparator
  );
}
