import '_helper.dart';
import 'uniq.dart';

List<T> uniqBy<T>(List<T> list, [Iteratee iteratee]) {
  assert(list != null);

  if (iteratee == null) {
    return uniq(list);
  }

  final Map<dynamic, T> map = {};
  var key;
  for (int i = 0; i < list.length; i++) {
    key = iteratee(list[i]);
    if (map.containsKey(key) == false) {
      map[key] = list[i];
    }
  }

  return map.values.toList();
}
