import 'package:test/test.dart';
import '../lib/src/dropWhile.dart';

void main() {
  group('drop', () {
    List array = [0, false, null, 1, null, 2, 3, false, 4];

    test('should drop the all the left falsy elements', () {
      expect(
        dropWhile(array),
        [1, null, 2, 3, false, 4]
      );
    });

    test('should drop the all the left elements which less then 3', () {
      expect(
        dropWhile([0, 1, 2, 3, 2, 4], (item, [index, list]) => item < 3),
        [3, 2, 4]
      );
    });
  });
}
